<?php
declare( strict_types=1 );

namespace FiboFilters\Integrations\Themes;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Botiga
 */
class Botiga extends AbstractTheme {
	protected function parse_args( array $args ): array {
		if ( defined( 'BOTIGA_PRO_VERSION' ) ) {
			$args['overridden']['appearance'][] = 'pagination_strategy';
			$args['integration_scope'][]        = 'pagination_strategy';
		}

		return $args;
	}
}
